//
// Created by Falko Alrik Schmidt on 11.01.24.
//

#include "Ulm_ENS161.h"

Ulm_ENS161::Ulm_ENS161(uint8_t address, TwoWire &wire) : ScioSense_ENS160(&wire, address) {
    // Nothing more to do here.
}

bool Ulm_ENS161::begin() {
    return ScioSense_ENS160::begin(false);
}

bool Ulm_ENS161::sample(Ulm_ENS161_Sample &sample) {

    bool success = this->measure(false);
    success &= this->measureRaw(false);

    sample.tvoc     = this->getTVOC();
    sample.co2      = this->geteCO2();
    sample.aqi      = this->getAQI();
    sample.aqi500   = this->getAQI500();

    return success;
}
